APT-SORTPKGS(1)

NAZWA
apt-sortpkgs - Narzędzie użytkowe do sortowania plików indeksu

STRESZCZENIE

apt-sortpkgs [-s] [-o=opcja_konfiguracji] [-c=plik_konfiguracyjny] nazwa_pliku... {-v | --version} {-h | --help}

OPIS

apt-sortpkgs bierze plik indeksu (Source lub Packages) i sortuje rekordy po nazwie pakietu. Posortuje także pola w każdym rekordzie, zgodnie z wewnętrznymi zasadami sortowania.

Wyjście programu jest wypisywane na standardowe wyjście, wejście musi pochodzić z pliku.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

-s, --source
    Używa kolejności pól indeksu pliku Source. Pozycja w pliku konfiguracji: APT::SortPkgs::Source.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Ustawia opcję konfiguracji. Pozwala ustawić dowolną opcję konfiguracji. Składnia jest następująca: -o Foo::Bar=bar. -o i --option można podać wielokrotnie - do ustawiania różnych opcji.

ZOBACZ TAKŻE

apt.conf(5)

DIAGNOSTYKA

apt-sortpkgs zwraca zero, gdy zakończyło się pomyślnie, 100 - w przypadku błędu.

BUGS

Strona błędów APT[1]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Jason Gunthorpe

zespół APT

PRZYPISY

1.  Strona błędów APT
    http://bugs.debian.org/src:apt